
      reqw = null;
      var reqw;

	 var cookieKey;
	  var paperid,artid,nodeid,isnodecomm,pointtype,attr,title,papername,paperdate;
		function pv(d)
		{
		document.pForm.Input2.value = d;
		}
	  function createStarsPage()
	  {  
	     // myCreateCookieKey();
	     if(document.getElementById("hidden_isEvaluate").value=="True"){
		    var url;
		    if(document.getElementById("hidden_IsNews").value=="false"){
			url = "../Points.aspx?paperName="+escape( document.getElementById("hidden_paperName").value)+"&qnum="+document.getElementById("hidden_Qnum").value
			+"&pagenum="+document.getElementById("hidden_pagenum").value;
			}else
			{
			    url = "../Points.aspx?news="+escape( document.getElementById("hidden_NewsID").value);
			}
			
//			 document.pointsform.paperdate.value = document.getElementById("paperdatediv").innerText.replace(/(^\s*)|(\s*$)/g, "");
			
	       document.pointsform.action=url;
		    document.pointsform.target="pointsIframe";
	       document.pointsform.submit();
	       }
	       //document.all.n4Tab_Content1.style.display="none";
           //document.all.n4Tab_Content10.style.display="none";
		//document.all.pointsIframe.height = 70;
		  // document.all.pointsIframe.width = 280;
		 

	  }
	  function myCreateCookieKey()
	  {   
	      
		  attr =document.getElementById("hidden_IsNews").value;
		  
		  paperdate = document.getElementById("paperdatediv").innerText;
		   
		  if (attr == "true")
		  {
		     paperid = document.getElementById("hidden_NewsID").value;
			  //artid = document.all.pointsform.nsid.value;
			  papername = document.getElementById("hidden_paperName").value;
			  
			 
		  }else{
		      paperid = document.getElementById("hidden_pagenum").value;
			  //artid = document.all.pointsform.nsid.value;
			  papername = document.getElementById("hidden_paperName").value;
		  }
		  
		  nodeid = document.getElementById("hidden_Qnum").value;
		 
		  //title =  document.all.pointsform.title.value;
		 // pointtype = document.all.pointsform.pointtype.value;
	     cookieKey = attr + "#" + paperid + "#" + nodeid + "#"  + getPaperDate(paperdate) + "#";
	     
	  }
	function SetCookie(){
		
	    myCreateCookieKey();
		var expires = new Date ();
		expires.setTime(expires.getTime() + 31 * (24 * 60 * 60 * 1000));
		document.cookie = cookieKey + "=" + escape(cookieKey) + "; expires=" + expires.toGMTString();
	}
	function GetCookie(name) {
		var dc = document.cookie;
		var prefix = name + "=";
		var begin = dc.indexOf("; " + prefix);
		if (begin == -1)
		{
			begin = dc.indexOf(prefix);
			if (begin != 0) return null;
		}
		else
		{
			begin += 2;
		}
		var end = document.cookie.indexOf(";", begin);
		if (end == -1)
		{
			end = dc.length;
		}
		return unescape(dc.substring(begin + prefix.length, end));
	} 
	
	function submitPoints(pval)
	{ 
	        myCreateCookieKey();
	   	  var ck = GetCookie(cookieKey);
		  if (ck == cookieKey && cookieKey !=null)
		  { 
		      alert("请不要重复提交！");
			    return;  
		  }
	   var pval = pval;
	    
	   SetCookie();
	   
	   var weburl = "../Points.aspx?paperName="+escape( document.getElementById("hidden_paperName").value)+"&qnum="+document.getElementById("hidden_Qnum").value
			+"&pagenum="+document.getElementById("hidden_pagenum").value+"&BName="+escape( document.getElementById("hidden_BName").value);
	    
			weburl =weburl+ "&isNews="+document.getElementById("hidden_IsNews").value;
			  weburl=weburl+ "&newsID="+document.getElementById("hidden_NewsID").value;
			 if(document.getElementById("hidden_IsNews").value=="true"){
			  weburl=weburl+ "&news="+document.getElementById("hidden_NewsID").value;
			 }
			weburl=weburl+"&score="+pval;
//	   var attr = document.all.pointsform.attr.value;
//	   var isnodecomm = document.all.pointsform.isnodecomm.value;
//	   var pointtype = document.all.pointsform.pointtype.value;
//	   var rank = pval;
//	   var articleid  = null;
//	   var channelid = null;
//	   var channelname = null;
//	   if (attr == 2)
//	   {
//	   	  //articleid = document.all.pointsform.articleid.value;
//	   	  channelid = document.all.pointsform.channelid.value;
//	   	  channelname = escape(document.all.pointsform.channelname.value);
//	     }
//	    else
//	   {
//	      //articleid = document.all.pointsform.nsid.value;
//	      channelid = document.all.pointsform.siteid.value;
//	      channelname = escape(document.all.pointsform.sitename.value);
//	   }
//	   //var arttitle = document.all.pointsform.title.value;
//	   var nodeid = document.all.pointsform.nodeid.value;
//	  var url = weburl+ '?rank='+rank+'&nouse=0';
	   //alert(url);
	   document.all.pointsform.action=weburl;
	   document.all.pointsform.submit();
	   //document.all.n4Tab_Content1.style.display="none";
	   //document.all.n4Tab_Content10.style.display="none";
	   //document.all.pointsIframe.height = 70;
	   //document.all.pointsIframe.width = 280;
	  // document.all.pointsIframe.frameborder = 0;
	   alert("打分成功!");
	  // myCreateCookieKey();
	   }
	   
	   function getPaperDate(datestr)
      {
        var dstr = datestr.replace(/(^\s*)|(\s*$)/g, "");
        return dstr;
      }

